/**
 * http://usejsdoc.org/
 */
var io = require("socket.io").listen(80);//返回io对象

//var io = require("socket.io").listen(80,{log:true}); //返回io对象
//io.set('level',1);
/**定义socket连接时，执行的回调操作*/
io.sockets.on('connection',function(socket){//调用socket API中的socket.io接口，当客户端connection时，执行回调函数function(socket){}
	socket.emit('news',{hello:'world'});//连接成功后，发送一个news消息，消息内容为json {hello:'world'}
	socket.on('my other event',function(data){ //客户端发送my other event消息时 服务器接收该消息，成功获取后执行回调函数function(data){}
		console.log(data);
	});
});